class ContactsController < ApplicationController
  auto_complete_for :contact, :name

  def index
    list
    render :action => 'list'
  end

  # GETs should be safe (see http://www.w3.org/2001/tag/doc/whenToUseGet.html)
  verify :method => :post, :only => [ :destroy, :create, :update ],
         :redirect_to => { :action => :list }

  def list
    @contact_pages, @contacts = paginate :contacts, :per_page => 10
  end

  def show
    @contact = Contact.find(params[:id])
  end

  def new
    @contact = Contact.new
  end

  def create
    @contact = Contact.new(params[:contact])
    if @contact.save
      flash[:notice] = 'Contact was successfully created.'
      redirect_to :action => 'list'
    else
      render :action => 'new'
    end
  end

  def edit
    @contact = Contact.find(params[:id])
  end

  def update
    @contact = Contact.find(params[:id])
    if @contact.update_attributes(params[:contact])
      flash[:notice] = 'Contact was successfully updated.'
      redirect_to :action => 'show', :id => @contact
    else
      render :action => 'edit'
    end
  end

  def destroy
    Contact.find(params[:id]).destroy
    redirect_to :action => 'list'
  end
  
#  def search
#     @contact_pages, @contacts = paginate :contacts, :per_page => 10,
#         :conditions =>  ["name LIKE ?", params[:keyword] + '%' ]
#     @keyword = params[:keyword]
#     render :action => 'list'
#  end

  def search
     @contact_pages, @contacts = paginate :contacts, :per_page => 10,
         :conditions =>  ["name LIKE ?", params[:contact][:name] + '%' ]
     @keyword = params[:contact][:name]
     render :action => 'list'
  end


end
